org.keycloak.models

## Interface Constants

-     public interface Constants

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCOUNT_MANAGEMENT_CLIENT_ID`
    `static String` | `ADMIN_CLI_CLIENT_ID`
    `static String` | `ADMIN_CONSOLE_CLIENT_ID`
    `static String[]` | `AUTHZ_DEFAULT_AUTHORIZATION_ROLES`
    `static String` | `AUTHZ_UMA_AUTHORIZATION`
    `static String` | `AUTHZ_UMA_PROTECTION`
    `static String` | `BROKER_SERVICE_CLIENT_ID`
    `static String[]` | `BROKER_SERVICE_ROLES`
    `static int` | `DEFAULT_ACCESS_TOKEN_LIFESPAN_FOR_IMPLICIT_FLOW_TIMEOUT`
    `static int` | `DEFAULT_OFFLINE_SESSION_IDLE_TIMEOUT`
    `static String` | `INSTALLED_APP_URL`
    `static String` | `INSTALLED_APP_URN`
    `static String` | `KEY`
    `static String` | `OFFLINE_ACCESS_ROLE`
    `static String` | `READ_TOKEN_ROLE`
    `static String` | `REALM_MANAGEMENT_CLIENT_ID`
    `static String` | `USER_ATTRIBUTES_PREFIX`
    `static String` | `VERIFY_EMAIL_KEY`

- - ### Field Detail

    - #### ADMIN_CONSOLE_CLIENT_ID

          static final String ADMIN_CONSOLE_CLIENT_ID

      See Also:
        Constant Field Values

    - #### ADMIN_CLI_CLIENT_ID

          static final String ADMIN_CLI_CLIENT_ID

      See Also:
        Constant Field Values

    - #### ACCOUNT_MANAGEMENT_CLIENT_ID

          static final String ACCOUNT_MANAGEMENT_CLIENT_ID

      See Also:
        Constant Field Values

    - #### BROKER_SERVICE_CLIENT_ID

          static final String BROKER_SERVICE_CLIENT_ID

      See Also:
        Constant Field Values

    - #### REALM_MANAGEMENT_CLIENT_ID

          static final String REALM_MANAGEMENT_CLIENT_ID

      See Also:
        Constant Field Values

    - #### INSTALLED_APP_URN

          static final String INSTALLED_APP_URN

      See Also:
        Constant Field Values

    - #### INSTALLED_APP_URL

          static final String INSTALLED_APP_URL

      See Also:
        Constant Field Values

    - #### READ_TOKEN_ROLE

          static final String READ_TOKEN_ROLE

      See Also:
        Constant Field Values

    - #### BROKER_SERVICE_ROLES

          static final String[] BROKER_SERVICE_ROLES

    - #### OFFLINE_ACCESS_ROLE

          static final String OFFLINE_ACCESS_ROLE

      See Also:
        Constant Field Values

    - #### AUTHZ_UMA_PROTECTION

          static final String AUTHZ_UMA_PROTECTION

      See Also:
        Constant Field Values

    - #### AUTHZ_UMA_AUTHORIZATION

          static final String AUTHZ_UMA_AUTHORIZATION

      See Also:
        Constant Field Values

    - #### AUTHZ_DEFAULT_AUTHORIZATION_ROLES

          static final String[] AUTHZ_DEFAULT_AUTHORIZATION_ROLES

    - #### DEFAULT_ACCESS_TOKEN_LIFESPAN_FOR_IMPLICIT_FLOW_TIMEOUT

          static final int DEFAULT_ACCESS_TOKEN_LIFESPAN_FOR_IMPLICIT_FLOW_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_OFFLINE_SESSION_IDLE_TIMEOUT

          static final int DEFAULT_OFFLINE_SESSION_IDLE_TIMEOUT

      See Also:
        Constant Field Values

    - #### VERIFY_EMAIL_KEY

          static final String VERIFY_EMAIL_KEY

      See Also:
        Constant Field Values

    - #### KEY

          static final String KEY

      See Also:
        Constant Field Values

    - #### USER_ATTRIBUTES_PREFIX

          static final String USER_ATTRIBUTES_PREFIX

      See Also:
        Constant Field Values

Copyright © 2016 JBoss by Red Hat. All rights reserved.